View Issue Details

IDProjectCategoryView StatusLast Update
0033084CommunityOCCT:Visualizationpublic2022-08-09 14:24
Reportera_demenikov Assigned Tomzernova  
PrioritynormalSeveritymajor 
Status verifiedResolutionfixed 
Product Version7.6.1 
Target Version7.7.0 
Summary0033084: Visualization - Cylindrical prism is selectable only by its base when extruded in some directions
DescriptionWhen extrude a face, made from closed arc wire, in direction (0, 0, -1), the resulting prism is selectable only by its base face.
Steps To Reproduce
pload MODELING VISUALIZATION
profile p1 c 1 360 ww
mkplane f p1 
prism pr f 0 0 -2
vinit View1
vclear
vaxo
vdisplay -dispmode 1 pr
vfit
vselect 150 150
vstate -entities
vertex v1 0.324327 0.0540549 0.163596
vdisplay -dispmode 1 pr v1
vselect 150 200
vstate -entities
TagsNo tags attached.
Test case numbervselect/bugs/bug33084

Attached Files

  • screenshot.png (6,704 bytes)

Relationships

child of 0032281 closedbugmaster Open CASCADE Visualization - add Select3D_SensitiveCylinder 

Activities

a_demenikov

2022-07-27 16:07

reporter  

screenshot.png (6,704 bytes)

git

2022-08-03 12:47

administrator   ~0110120

Branch CR33084 has been created by mzernova.

SHA-1: dc77666e7365cfe28df1694d19a3ed1049a105d7


Detailed log of new commits:

Author: mzernova
Date: Wed Aug 3 12:46:53 2022 +0300

    0033084: Visualization - Cylindrical prism is selectable only by its base when extruded in some directions
    
    Fixed bounding boxes for Select3D_SensitiveCylinder.
    Added display of Select3D_SensitiveCylinder presentation using the "vsensdis" command
    Added test: tests/vselect/bugs/bug33084

git

2022-08-03 18:42

administrator   ~0110127

Branch CR33084 has been updated by mzernova.

SHA-1: 0b4a9277581b646b413722dd2b5e5f22561bd773


Detailed log of new commits:

Author: mzernova
Date: Wed Aug 3 18:42:03 2022 +0300

    #remarks

git

2022-08-04 11:13

administrator   ~0110130

Branch CR33084_1 has been created by kgv.

SHA-1: bfc5a076ecfa285fb453a5e599360b0ae00f6904


Detailed log of new commits:

Author: mzernova
Date: Wed Aug 3 12:46:53 2022 +0300

    0033084: Visualization - Cylindrical prism is selectable only by its base when extruded in some directions
    
    Fixed bounding boxes for Select3D_SensitiveCylinder.
    
    Added display of Select3D_SensitiveCylinder presentation using the "vsensdis" command.
    Added test vselect/bugs/bug33084.

kgv

2022-08-04 11:14

developer   ~0110131

Please raise the patch
- OCCT: branch CR33084_1.

http://jenkins-test-occt.nnov.opencascade.com/view/CR33084-master-KGV/

smoskvin

2022-08-06 11:17

administrator   ~0110143

Combination -
OCCT branch : IR-2022-08-05
master SHA - changes and them, and you can discard any commits you make in this
81d569625e986cb41bc1e6e1ce1424cfabf420ff
changes and them, and you can discard any commits you make in this
e0ceb716c70188b98130b1550914140d0502a6f9
Products branch : IR-2022-08-05 SHA - 8842633278b0e6adcbef68d7431f5a8e14c7911f
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18726.540000000627 / 18728.660000000684 [-0.01%]
Products
Total CPU difference: 11968.290000000105 / 11979.790000000121 [-0.10%]
Windows-64-VC14:
OCCT
Total CPU difference: 20741.4375 / 20790.828125 [-0.24%]
Products
Total CPU difference: 13528.765625 / 13514.9375 [+0.10%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

Related Changesets

occt: master 81d56962

2022-08-03 12:46:53

mzernova


Committer: smoskvin Details Diff
0033084: Visualization - Cylindrical prism is selectable only by its base when extruded in some directions

Fixed bounding boxes for Select3D_SensitiveCylinder.

Added display of Select3D_SensitiveCylinder presentation using the "vsensdis" command.
Added test vselect/bugs/bug33084.
Affected Issues
0033084
mod - src/Select3D/Select3D_SensitiveCylinder.cxx Diff File
mod - src/Select3D/Select3D_SensitiveCylinder.hxx Diff File
mod - src/SelectMgr/SelectMgr.cxx Diff File
mod - src/StdSelect/StdSelect_BRepSelectionTool.cxx Diff File
add - tests/vselect/bugs/bug33084 Diff File

Issue History

Date Modified Username Field Change
2022-07-27 16:07 a_demenikov New Issue
2022-07-27 16:07 a_demenikov Assigned To => abv
2022-07-27 16:07 a_demenikov File Added: screenshot.png
2022-07-27 17:42 kgv Relationship added child of 0032281
2022-07-27 17:43 kgv Steps to Reproduce Updated
2022-07-28 09:50 kgv Assigned To abv => mzernova
2022-07-28 09:50 kgv Status new => assigned
2022-07-28 09:50 kgv Category OCCT:DRAW => OCCT:Visualization
2022-07-28 09:50 kgv Target Version => 7.7.0
2022-07-28 09:50 kgv Summary Cylindrical prism is selectable only by its base when extruded in some directions. => Visualization - Cylindrical prism is selectable only by its base when extruded in some directions
2022-08-03 12:47 git Note Added: 0110120
2022-08-03 18:42 git Note Added: 0110127
2022-08-04 11:13 git Note Added: 0110130
2022-08-04 11:14 kgv Assigned To mzernova => bugmaster
2022-08-04 11:14 kgv Status assigned => resolved
2022-08-04 11:14 kgv Test case number => vselect/bugs/bug33084
2022-08-04 11:14 kgv Note Added: 0110131
2022-08-04 11:14 kgv Status resolved => reviewed
2022-08-04 11:23 kgv Target Version 7.7.0 => 7.6.4
2022-08-06 11:17 smoskvin Status reviewed => tested
2022-08-06 11:17 smoskvin Note Added: 0110143
2022-08-06 16:01 smoskvin Changeset attached => occt master 81d56962
2022-08-06 16:01 mzernova Assigned To bugmaster => mzernova
2022-08-06 16:01 mzernova Status tested => verified
2022-08-06 16:01 mzernova Resolution open => fixed
2022-08-09 14:24 szy Target Version 7.6.4 => 7.7.0